diff --git a/bam.lua b/bam.lua
index 11ac7b9..cc9e987 100644
--- a/bam.lua
+++ b/bam.lua
@@ -408,4 +408,19 @@ else
 	build(debug_settings)
 	build(release_settings)
 	DefaultTarget("game_debug")
+	if config.compiler.driver == "gcc" and arch == "amd64" then
+		debug_settings_x86 = debug_settings:Copy()
+		debug_settings_x86.config_name = "debug_x86"
+		debug_settings_x86.config_ext = "_x86_d"
+		debug_settings_x86.cc.flags:Add("-m32")
+		debug_settings_x86.link.flags:Add("-m32")
+		x86_d = build(debug_settings_x86)
+
+		release_settings_x86 = release_settings:Copy()
+		release_settings_x86.config_name = "release_x86"
+		release_settings_x86.config_ext = "_x86"
+		release_settings_x86.cc.flags:Add("-m32")
+		release_settings_x86.link.flags:Add("-m32")
+		x86_r = build(release_settings_x86)
+	end
 end
